#pragma once

#include <cmath>

struct V2 
{
	float x, y;

	V2(float _x, float _y) { x = _x; y = _y; }
	V2() {} 

	float norm() { return sqrt(x*x + y * y); }
	float normalize() { float n = norm();     x /= n;    y /= n;    }
};

// comparaison sur des flottants... traitement spcial

bool operator == (const V2 & a, const V2 & b);

// redfinition des oprateurs standards

V2 operator + (const V2 & a, const V2 & b);
V2 operator - (const V2 & a, const V2 & b);
V2 operator * (float      a, const V2 & b);
V2 operator * (const V2 & a, float      b);
V2 operator / (const V2 & a, float      b);

// produit scalaire
float operator * (const V2 & a, const V2 & b);



